## keditbookmarks 19.12.3

=== src/CMakeLists.txt ===
############ subdir ###################

add_subdirectory(kbookmarkmodel)

########### next target ###############

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KEDITBOOKMARKS VERSION_HEADER keditbookmarks_version.h)

set(kbookmarkmerger_SRCS kbookmarkmerger.cpp )

add_executable(kbookmarkmerger ${kbookmarkmerger_SRCS})

target_link_libraries(kbookmarkmerger
   KF5::KIOCore
   KF5::I18n
   KF5::Bookmarks
)

install(TARGETS kbookmarkmerger ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(keditbookmarks_SRCS
   main.cpp
   toplevel.cpp
   globalbookmarkmanager.cpp
   actionsimpl.cpp
   importers.cpp
   bookmarkiterator.cpp
   testlink.cpp
   favicons.cpp
   faviconupdater.cpp
   exporters.cpp
   bookmarkinfowidget.cpp
   kebsearchline.cpp
   bookmarklistview.cpp
)

set(toplevel_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.keditbookmarks.xml)
qt5_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/toplevel.h org.kde.keditbookmarks.xml )

qt5_add_dbus_interface( keditbookmarks_SRCS ${toplevel_xml} toplevel_interface )

kconfig_add_kcfg_files(keditbookmarks_SRCS settings.kcfgc )

add_executable( keditbookmarks ${keditbookmarks_SRCS})

target_link_libraries(keditbookmarks kbookmarkmodel_private
   KF5::Parts
   KF5::Bookmarks
   KF5::WindowSystem
   KF5::IconThemes
   KF5::KIOGui)

install(TARGETS keditbookmarks          ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES keditbookmarks.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
install( FILES keditbookmarksui.rc  keditbookmarks-genui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/keditbookmarks )
install( PROGRAMS org.kde.keditbookmarks.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

=== src/kbookmarkmodel/tests/CMakeLists.txt ===
include(ECMAddTests)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

###### kbookmarkmodeltest ######

set(kbookmarkmodeltest_SRCS kbookmarkmodeltest.cpp)
ecm_add_test(${kbookmarkmodeltest_SRCS}
    TEST_NAME kbookmarkmodeltest
    LINK_LIBRARIES kbookmarkmodel_private KF5::Bookmarks Qt5::Test
)

## keditbookmarks 16.12.3

=== debian/changelog ===
keditbookmarks (16.12.3-0ubuntu1) zesty; urgency=medium

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Remove old KDE/Qt 4 build dependencies.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * Update copyright after split from kde-baseapps

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 06 Apr 2017 15:18:53 +0100

keditbookmarks (16.12.1-0ubuntu1) zesty; urgency=medium

  [ Simon Quigley ]
  * Initial split from kde-baseapps.

  [ Clive Johnston ]
  * Add lintian-overrides file
  * Fixed version as not released to Debian

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:20:25 +0000

=== debian/control ===
Source: keditbookmarks
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kded5-dev (>= 5.31.0~),
               libglib2.0-dev (>= 2.0~),
               libkf5activities-dev (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5baloowidgets-dev (>= 4:16.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libsoprano-dev,
               libtidy-dev,
               libx11-dev,
               libxkbfile-dev,
               libxrender-dev,
               libxt-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keditbookmarks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keditbookmarks

Package: keditbookmarks
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Bookmark Editor utility
 KEditBookMarks can edit your bookmark file.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false -DBUILD_plasma=false

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --ddeb-migration='keditbookmarks-dbg (<= 4:15.12.1-1~~)'

## keditbookmarks 17.04.3

=== debian/changelog ===
keditbookmarks (17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * debian/rules: port to frameworks
  * Add Conflicts/Replaces against kde-baseapps-bin
  * Update testsuite autopkgtest:
    - Use 'build-needed' restriction instead of hardcoding the package
      rebuilding
    - Remove libqt4-sql-sqlite from depends
    - Remove kdeinit4 usage from testsuite.xsession
    - Create a $HOME directory
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:36:00 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libglib2.0-dev (>= 2.0~),
                libkf5activities-dev (>= 5.31.0~),
                libkf5archive-dev (>= 5.31.0~),
-               libkf5baloowidgets-dev (>= 4:16.12.3~),
+               libkf5baloowidgets-dev (>= 4:17.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libsoprano-dev,
@@ -37,5 +37,8 @@
 Section: utils
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: kde-baseapps-bin
+Breaks: ${kde-l10n:all}
+Replaces: kde-baseapps-bin, ${kde-l10n:all}
 Description: Bookmark Editor utility
  KEditBookMarks can edit your bookmark file.

## keditbookmarks 17.08.3

=== debian/changelog ===
keditbookmarks (17.08.3-2+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:33:15 +0800

keditbookmarks (17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Update the kde-baseapps-bin breaks/replaces, for the removal of
    keditbookmarks in src:kde-baseapps.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 12:23:38 +0100

keditbookmarks (17.08.3-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Disable auto tests at build time
  * Add missing breaks/replaces against konqueror
  * Update uploaders list as requested by MIA team

  [ Pino Toscano ]
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Remove unused build dependencies: kded5-dev, libkf5activities-dev,
    libkf5archive-dev, libkf5crash-dev, libkf5dbusaddons-dev,
    libkf5kcmutils-dev, libkf5kdelibs4support-dev, libkf5khtml-dev,
    libqt5x11extras5-dev, libx11-dev, pkg-config, and qtwebengine5-dev.
  * Do not ship the development symlinks.
  * Update lintian overrides.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Dec 2017 11:29:41 +0100

keditbookmarks (17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:59:44 +0000

keditbookmarks (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:35:28 +0000

keditbookmarks (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:20:18 +0000

keditbookmarks (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:28 +0000

keditbookmarks (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:15:30 +0000

keditbookmarks (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:02 +0000

keditbookmarks (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:16 +0000

keditbookmarks (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:58:12 +0000

keditbookmarks (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:18:08 +0000

keditbookmarks (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:26:45 +0000

keditbookmarks (16.08.3-0neon) xenial; urgency=medium

  * Initial release.

 -- Raymond Wooninck <tittiatcoke@gmail.com>  Mon, 07 Nov 2016 18:50:18 +0100

=== debian/control ===
Source: keditbookmarks
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               libkf5bookmarks-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5doctools-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5iconthemes-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5parts-dev (>= 5.28.0~),
               libkf5windowsystem-dev (>= 5.28.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.0~),
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/keditbookmarks.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/keditbookmarks.git

Package: keditbookmarks
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-baseapps-bin (<< 4:16.08.3-3~),
        konqueror (<< 4:16.08.3-2~),
        ${kde-l10n:all},
Replaces: kde-baseapps-bin (<< 4:16.08.3-3~),
          konqueror (<< 4:16.08.3-2~),
          ${kde-l10n:all},
Description: Bookmark Editor utility
 KEditBookMarks can edit your bookmark file.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-11~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_install:
	$(overridden_command)
	# remove the development symlinks
	find debian/keditbookmarks -name '*.so' -type l -delete

## keditbookmarks 17.12.3

=== debian/changelog ===
keditbookmarks (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:26:34 +0000

keditbookmarks (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:57:29 +0000

keditbookmarks (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:05:15 +0000

=== debian/control ===
Source: keditbookmarks
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kded5-dev (>= 5.31.0~),
               libglib2.0-dev (>= 2.0~),
               libkf5activities-dev (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5baloowidgets-dev (>= 4:17.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libsoprano-dev,
               libtidy-dev,
               libx11-dev,
               libxkbfile-dev,
               libxrender-dev,
               libxt-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keditbookmarks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keditbookmarks

Package: keditbookmarks
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: kde-baseapps-bin
Breaks: ${kde-l10n:all}
Replaces: kde-baseapps-bin, ${kde-l10n:all}
Description: Bookmark Editor utility
 KEditBookMarks can edit your bookmark file.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --ddeb-migration='keditbookmarks-dbg (<= 4:15.12.1-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/keditbookmarks-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/keditbookmarks-([\d.]+).tar.xz

## keditbookmarks 18.04.3

=== debian/changelog ===
keditbookmarks (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:17:01 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libglib2.0-dev (>= 2.0~),
                libkf5activities-dev (>= 5.31.0~),
                libkf5archive-dev (>= 5.31.0~),
-               libkf5baloowidgets-dev (>= 4:17.12.3~),
+               libkf5baloowidgets-dev (>= 4:18.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libsoprano-dev,
@@ -27,7 +27,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keditbookmarks

## keditbookmarks 18.12.3

=== debian/changelog ===
keditbookmarks (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:28:20 +0000

keditbookmarks (18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:15:39 +0000

keditbookmarks (18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:10:30 +0000

keditbookmarks (18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:48:58 +0000

keditbookmarks (18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Breaks/Repleaces to suit Kubuntu
    - Kubuntu Vcs fields

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 16:27:19 +0000

=== debian/control ===
Source: keditbookmarks
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.28.0~),
               libkf5bookmarks-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5doctools-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5iconthemes-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5parts-dev (>= 5.28.0~),
               libkf5windowsystem-dev (>= 5.28.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keditbookmarks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keditbookmarks

Package: keditbookmarks
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: kde-baseapps-bin
Breaks: ${kde-l10n:all}
Replaces: kde-baseapps-bin, ${kde-l10n:all}
Description: Bookmark Editor utility
 KEditBookMarks can edit your bookmark file.

## keditbookmarks 19.04.3

=== debian/changelog ===
keditbookmarks (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:13:58 +0100

keditbookmarks (19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:05:11 +0100

keditbookmarks (19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:57:48 +0100

keditbookmarks (19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:43:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,7 @@
 	# Disable dh_auto_test at build time
 	:
 
-override_dh_strip:
-	$(overridden_command) --ddeb-migration='keditbookmarks-dbg (<= 4:15.12.1-1~~)'
+override_dh_auto_install:
+	$(overridden_command)
+	# remove the development symlinks
+	find debian/keditbookmarks -name '*.so' -type l -delete

## keditbookmarks 19.12.3

=== debian/changelog ===
keditbookmarks (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:09:07 +0000

keditbookmarks (19.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update copyright file for new upstream.

  [ Aurélien COUDERC ]
  * Switch debian/watch to new KDE release service URL.
  * Borrow minimal upstream signing key from k3b.
  * New upstream release (19.12.2).
  * Update build dependencies according to upstream build system:
    - cmake >= 3.0
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Drop breaks / replaces not needed anymore after 2 stable releases.
  * Switch from dhmk to dh --with kf5.
  * Add hardening=+all build hardening flag.
  * Reactivate build-time tests.
  * Improve short and long descriptions.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 24 Feb 2020 09:02:36 +0100

=== debian/control ===
Source: keditbookmarks
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.28.0~),
               libkf5bookmarks-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5doctools-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5iconthemes-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5parts-dev (>= 5.28.0~),
               libkf5windowsystem-dev (>= 5.28.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/keditbookmarks
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/keditbookmarks.git
Rules-Requires-Root: no

Package: keditbookmarks
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: bookmarks editor utility for KDE
 The editor shows a tree view of your KDE bookmarks and bookmark subfolders.
 .
 Several applications in the KDE suite let you create bookmarks (e.g.
 Konqueror, Konsole, Konversation) and will launch this bookmark editor from
 their Bookmarks -> Edit Bookmarks menu item.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

TESTS_ROOT=$(CURDIR)/debian/tests.root

%:
	dh $@ --with kf5

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p "$(TESTS_ROOT)"
	mkdir -p "$(TESTS_ROOT)/tmp"
	mkdir -p "$(TESTS_ROOT)/home/tests"
	mkdir -p -m 700 "$(TESTS_ROOT)/run"
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel -- HOME="$(TESTS_ROOT)/home/tests" TMPDIR="$(TESTS_ROOT)/tmp" XDG_RUNTIME_DIR="$(TESTS_ROOT)/run"
endif

execute_after_dh_auto_install:
	# remove the development symlinks
	find debian/keditbookmarks -name '*.so' -type l -delete

execute_after_dh_auto_clean:
	rm -rf "$(TESTS_ROOT)"

## keditbookmarks 20.08.1

=== debian/changelog ===
keditbookmarks (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:59 +0100

keditbookmarks (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:46:28 +0100

keditbookmarks (20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:37:03 +0100

keditbookmarks (20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:14:37 +0100

keditbookmarks (20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:35:13 +0100

keditbookmarks (20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Sat, 02 May 2020 17:02:00 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 12),
                extra-cmake-modules (>= 5.28.0~),
+               gettext,
                libkf5bookmarks-dev (>= 5.28.0~),
                libkf5coreaddons-dev (>= 5.28.0~),
                libkf5doctools-dev (>= 5.28.0~),

## keditbookmarks 20.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "0")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(keditbookmarks VERSION ${RELEASE_SERVICE_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.71.0")
find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(QT_MIN_VERSION "5.12.0")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(ECMAddAppIcon)
include(CheckFunctionExists)

set(KEDITBOOKMARKS_VERSION "5.97.0")

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n KIO Bookmarks Parts WindowSystem IconThemes DocTools)

if(BUILD_TESTING)
    find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
endif()

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)


add_subdirectory(src)
add_subdirectory(doc)
install(FILES keditbookmarks.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 ############ subdir ###################
+set(debug_file_common_SRCS)
+ecm_qt_declare_logging_category(debug_file_common_SRCS HEADER keditbookmarks_debug.h IDENTIFIER KEDITBOOKMARKS_LOG CATEGORY_NAME org.kde.keditbookmarks)
+
 
 add_subdirectory(kbookmarkmodel)
 
 ########### next target ###############
 
-ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KEDITBOOKMARKS VERSION_HEADER keditbookmarks_version.h)
+ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KEDITBOOKMARKS VERSION_HEADER keditbookmarks_version.h)
 
-set(kbookmarkmerger_SRCS kbookmarkmerger.cpp )
+set(kbookmarkmerger_SRCS kbookmarkmerger.cpp ${debug_file_common_SRCS})
 
 add_executable(kbookmarkmerger ${kbookmarkmerger_SRCS})
 
@@ -35,8 +38,8 @@
    bookmarkinfowidget.cpp
    kebsearchline.cpp
    bookmarklistview.cpp
+   ${debug_file_common_SRCS}
 )
-
 set(toplevel_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.keditbookmarks.xml)
 qt5_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/toplevel.h org.kde.keditbookmarks.xml )

=== src/kbookmarkmodel/CMakeLists.txt ===
if(BUILD_TESTING)
  add_subdirectory(tests)
endif()
include_directories(${CMAKE_BINARY_DIR}/src/)
set(kbookmarkmodel_SRCS
  commandhistory.cpp
  commands.cpp
  model.cpp
  treeitem.cpp
  view.cpp
  ${debug_file_common_SRCS}
)
add_library(kbookmarkmodel_private SHARED ${kbookmarkmodel_SRCS})
target_link_libraries(kbookmarkmodel_private
PUBLIC
   Qt5::Widgets
   KF5::XmlGui # KActionCollection
PRIVATE
   KF5::Bookmarks
   KF5::I18n
)

include(GenerateExportHeader)
generate_export_header(kbookmarkmodel_private BASE_NAME kbookmarkmodel EXPORT_FILE_NAME kbookmarkmodel_export.h)

set_target_properties(kbookmarkmodel_private PROPERTIES
     VERSION ${KEDITBOOKMARKS_VERSION}
     SOVERSION "6"
)


install(TARGETS kbookmarkmodel_private ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
keditbookmarks (20.12.0-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Disable fixfilepath reproducibility feature, as it triggers build failures
    when enabled. (Closes: #972300)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 11 Jan 2021 17:26:33 +0100

keditbookmarks (20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update build dependencies according to upstream build system:
    - Qt >= 5.12
    - KF5 >= 5.71
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Refresh upstream metadata.
  * Update project homepage.
  * Remove Modestas Vainius, George Kiagiadakis, Eshat Cakar, Maximiliano
    Curia from the uploaders, thanks for your work on the package!
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 20 Dec 2020 16:03:34 +0100

=== debian/control ===
Source: keditbookmarks
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5bookmarks-dev (>= 5.71.0~),
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5parts-dev (>= 5.71.0~),
               libkf5windowsystem-dev (>= 5.71.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/utilities/keditbookmarks
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/keditbookmarks
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/keditbookmarks.git
Rules-Requires-Root: no

Package: keditbookmarks
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: bookmarks editor utility for KDE
 The editor shows a tree view of your KDE bookmarks and bookmark subfolders.
 .
 Several applications in the KDE suite let you create bookmarks (e.g.
 Konqueror, Konsole, Konversation) and will launch this bookmark editor from
 their Bookmarks -> Edit Bookmarks menu item.

## keditbookmarks 20.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "20")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(keditbookmarks VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
keditbookmarks (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:19:24 +0000

keditbookmarks (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:53:37 +0000

keditbookmarks (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:10:01 +0000

## keditbookmarks 21.08.0

=== debian/changelog ===
keditbookmarks (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:11:17 +0900

keditbookmarks (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 23:33:37 +0900

=== debian/control ===
Source: keditbookmarks
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               libkf5bookmarks-dev (>= 5.83.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5iconthemes-dev (>= 5.83.0~),
               libkf5kio-dev (>= 5.83.0~),
               libkf5parts-dev (>= 5.83.0~),
               libkf5windowsystem-dev (>= 5.83.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/utilities/keditbookmarks
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/keditbookmarks
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/keditbookmarks.git
Rules-Requires-Root: no

Package: keditbookmarks
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: bookmarks editor utility for KDE
 The editor shows a tree view of your KDE bookmarks and bookmark subfolders.
 .
 Several applications in the KDE suite let you create bookmarks (e.g.
 Konqueror, Konsole, Konversation) and will launch this bookmark editor from
 their Bookmarks -> Edit Bookmarks menu item.

## keditbookmarks 21.08.1

=== debian/changelog ===
keditbookmarks (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:33:12 +0100

keditbookmarks (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:01:46 +0100

keditbookmarks (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:54:55 +0100

keditbookmarks (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:33:24 +0100

keditbookmarks (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:42:48 +0100

keditbookmarks (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:39:24 +0100

keditbookmarks (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:05:57 +0100

keditbookmarks (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:34:50 +0100

## keditbookmarks 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(keditbookmarks VERSION ${RELEASE_SERVICE_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.85.0")
find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(QT_MIN_VERSION "5.15.2")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(ECMAddAppIcon)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

set(KEDITBOOKMARKS_VERSION "5.97.0")

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n KIO Bookmarks Parts WindowSystem IconThemes DocTools)

if(BUILD_TESTING)
    find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
endif()

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F02
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055500
    -DKNOTIFICATIONS_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054E00 # KPassivePopup
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory(src)
add_subdirectory(doc)
ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
keditbookmarks (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:10:13 +0000

keditbookmarks (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:16:47 +0000

keditbookmarks (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:24:39 +0000

keditbookmarks (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:21:46 +0000

keditbookmarks (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:05:51 +0000

keditbookmarks (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:17:00 +0000

keditbookmarks (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:25:45 +0000

keditbookmarks (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:39:35 +0000

=== debian/control ===
Source: keditbookmarks
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5bookmarks-dev (>= 5.71.0~),
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5parts-dev (>= 5.71.0~),
               libkf5windowsystem-dev (>= 5.71.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/utilities/keditbookmarks
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keditbookmarks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keditbookmarks
Rules-Requires-Root: no

Package: keditbookmarks
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: bookmarks editor utility for KDE
 The editor shows a tree view of your KDE bookmarks and bookmark subfolders.
 .
 Several applications in the KDE suite let you create bookmarks (e.g.
 Konqueror, Konsole, Konversation) and will launch this bookmark editor from
 their Bookmarks -> Edit Bookmarks menu item.

## keditbookmarks 22.08.1

=== debian/changelog ===
keditbookmarks (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:39:39 +0100

keditbookmarks (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:49:31 +0100

keditbookmarks (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:27:05 +0100

keditbookmarks (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:01:09 +0100

keditbookmarks (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:59:03 +0100

keditbookmarks (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:47:36 +0100

## keditbookmarks 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(keditbookmarks VERSION ${RELEASE_SERVICE_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.89.0")
find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(QT_MIN_VERSION "5.15.2")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(ECMAddAppIcon)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

set(KEDITBOOKMARKS_VERSION "5.97.0")

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n KIO Bookmarks Parts WindowSystem IconThemes)
find_package(KF5DocTools ${KF5_MIN_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
if(BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION}Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
endif()

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F02
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory(src)
ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== doc/CMakeLists.txt ===

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR keditbookmarks)
kdoctools_create_manpage(man-kbookmarkmerger.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== src/kbookmarkmodel/tests/CMakeLists.txt ===
include(ECMAddTests)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

###### kbookmarkmodeltest ######

ecm_add_test(kbookmarkmodeltest.cpp
    TEST_NAME kbookmarkmodeltest
    LINK_LIBRARIES kbookmarkmodel_private KF5::Bookmarks Qt::Test
)

=== debian/changelog ===
keditbookmarks (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:51 +0100

keditbookmarks (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:05:47 +0100

keditbookmarks (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:40 +0100

keditbookmarks (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:56 +0100

keditbookmarks (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:48:37 +0100

=== debian/control ===
Source: keditbookmarks
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.89.0~),
               gettext,
               libkf5bookmarks-dev (>= 5.89.0~),
               libkf5coreaddons-dev (>= 5.89.0~),
               libkf5doctools-dev (>= 5.89.0~),
               libkf5i18n-dev (>= 5.89.0~),
               libkf5iconthemes-dev (>= 5.89.0~),
               libkf5kio-dev (>= 5.89.0~),
               libkf5parts-dev (>= 5.89.0~),
               libkf5windowsystem-dev (>= 5.89.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/utilities/keditbookmarks
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/keditbookmarks
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/keditbookmarks.git
Rules-Requires-Root: no

Package: keditbookmarks
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: bookmarks editor utility for KDE
 The editor shows a tree view of your KDE bookmarks and bookmark subfolders.
 .
 Several applications in the KDE suite let you create bookmarks (e.g.
 Konqueror, Konsole, Konversation) and will launch this bookmark editor from
 their Bookmarks -> Edit Bookmarks menu item.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath
+
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
